diff --git a/src/opencl_wpapmk_fmt_plug.c b/src/opencl_wpapmk_fmt_plug.c
index ecb312a0e3..9fb7ddfa38 100644
--- a/src/opencl_wpapmk_fmt_plug.c
+++ b/src/opencl_wpapmk_fmt_plug.c
@@ -195,6 +195,22 @@ static void init(struct fmt_main *_self)
 
 	self = _self;
 
+	if (options.flags & (FLG_BATCH_CHK | FLG_INC_CHK | FLG_SINGLE_CHK)) {
+		if (john_main_process) {
+			char *t, *pf = str_alloc_copy(self->params.label);
+
+			if ((t = strrchr(pf, '-')))
+				*t = 0;
+
+			fprintf(stderr,
+"The \"%s\" format takes hex keys of length 64 as input. Most normal\n"
+"cracking approaches does not make sense. You probably wanted to use the\n"
+"\"%s\" format (even for PMKID hashes).\n",
+			        self->params.label, pf);
+		}
+		error();
+	}
+
 	opencl_prepare_dev(gpu_id);
 	/* VLIW5 does better with just 2x vectors due to GPR pressure */
 	if (!options.v_width && amd_vliw5(device_info[gpu_id]))
diff --git a/src/wpapmk_fmt_plug.c b/src/wpapmk_fmt_plug.c
index c6e3d16982..9a4e3609dd 100644
--- a/src/wpapmk_fmt_plug.c
+++ b/src/wpapmk_fmt_plug.c
@@ -26,6 +26,8 @@ john_register_one(&fmt_wpapsk_pmk);
 #include "wpapsk.h"
 #include "sha.h"
 #include "base64_convert.h"
+#include "options.h"
+#include "john.h"
 
 #define FORMAT_LABEL		"wpapsk-pmk"
 #if AC_BUILT && !HAVE_OPENSSL_CMAC_H
@@ -63,6 +65,22 @@ static void init(struct fmt_main *self)
 	                      self->params.max_keys_per_crypt);
 	mic = mem_alloc(sizeof(*mic) *
 	                self->params.max_keys_per_crypt);
+
+	if (options.flags & (FLG_BATCH_CHK | FLG_INC_CHK | FLG_SINGLE_CHK)) {
+		if (john_main_process) {
+			char *t, *pf = str_alloc_copy(self->params.label);
+
+			if ((t = strrchr(pf, '-')))
+				*t = 0;
+
+			fprintf(stderr,
+"The \"%s\" format takes hex keys of length 64 as input. Most normal\n"
+"cracking approaches does not make sense. You probably wanted to use the\n"
+"\"%s\" format (even for PMKID hashes).\n",
+			        self->params.label, pf);
+		}
+		error();
+	}
 }
 
 static void done(void)
